package com.insidesecure.drm.android.reference.xoplayer.activities;


import android.os.*;
import com.insidesecure.drm.android.reference.Constants;
import com.insidesecure.drm.android.reference.activities.SettingsActivity;


public abstract class SharedSettingsActivity extends SettingsActivity
{
    private static final String TAG = "SharedSettingsActivity";

    @Override
    public void onCreate(Bundle savedInstanceState)
    {

        setContentView(getContentView());

        super.onCreate(savedInstanceState);

        createActivity();
    }


    protected abstract void createActivity();
    protected abstract int getContentView();

}